import Stack from '@mui/material/Stack';
import IconButton from '@mui/material/IconButton';
import PersonAddAltIcon from '@mui/icons-material/PersonAddAlt';
import CloseIcon from '@mui/icons-material/Close';
import { makeStyles, Typography } from '@material-ui/core'
import { useDispatch } from 'react-redux';
import { actionIsOpen } from '../../../../../../../redux/control/action'

const useStyles = makeStyles({
  container: {
    borderLeft: 'solid 0.5px #9c9c9c',
    paddingLeft: 10,
    paddingBottom: 3,
    width:482
  },
})

const ToolBar = () => {
  const dispatch = useDispatch()
  const classes = useStyles()
  return (
    <Stack className={classes.container} direction="row" spacing={22}>
      <IconButton onClick={() => dispatch(actionIsOpen(''))} aria-label="delete" size="medium">
        <CloseIcon fontSize='medium'/>
      </IconButton>
      <Typography variant="h6" color="initial">Profile</Typography>
      <IconButton  aria-label="delete" size="medium">
        <PersonAddAltIcon fontSize='medium'/>
      </IconButton>
    </Stack>
    )
}

export default ToolBar