import { actionIsLoading } from '../../loading/action';
import {
   actionSelectChat
} from '../action';
import { startChat} from '../../../api-data';

import { TChat } from '../../../typescript/redux/chat/types'

const asyncStartChatById = (id:string) => async (dispatch:any) => {
  try {
    dispatch(actionIsLoading(true));
    const data = await startChat<TChat>(id)
    data&&dispatch(actionSelectChat(data))
  } finally {
    dispatch(actionIsLoading(false));
  }
};


export { asyncStartChatById };




