import { createReducer } from '@reduxjs/toolkit';
import { IChatPayload,IChatState } from '../../../typescript/redux/chat/interfaces';

import {
  actionSelectChat
} from '../action';

const initialState: IChatState = {
  chat: {
     name: '',
     lastName: '',
     avatarUrl:'',
     color: '',
     online: '',
     number:'',
     _id: '',
     companionId: '',
     owner: '',
     createdAt: '',
     updatedAt: '',
    __v: 0,
  },
}



const reducerChat = createReducer(initialState, {
  [actionSelectChat.type]: (_,{ payload:chat }:IChatPayload) => {
    return {chat}
  },
});

export default reducerChat;
