import { createReducer } from '@reduxjs/toolkit';
import { IMessagesState, IMessagesPayload} from '../../../typescript/redux/messages/interfaces';
import {
  actionGetMessagesSuccess,
  actionGetMessagesReject
} from '../action';

const initialState: IMessagesState = {
  messages: []
}



const reducerMessages = createReducer(initialState, {
  [actionGetMessagesSuccess.type]: (state, { payload: messages }: IMessagesPayload) => {
    return {messages};
  },
  [actionGetMessagesReject.type]: (state, _) => {
    return state;
  },
});

export default reducerMessages;
